Groundeddocs
ReferenceKnowledge bases

Remove a data source from the knowledge base

DELETE/v1/teams/{team}/kbs/{kbId}/sources/{sourceId}

Path Parameters

team*string

Team slug or ID

kbId*string
Formatuuid
sourceId*string
Formatuuid

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/teams/string/kbs/497f6eca-6276-4993-bfeb-53cbbbba6f08/sources/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "description": "string",    "embeddingProfileId": "8dcd7938-4b29-4322-bd8d-1bc46747c2a4",    "topK": 0,    "sources": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "classification": "string",        "shared": true      }    ],    "effectiveClassification": "string",    "fusionWeights": {      "vector": 0,      "keyword": 0    },    "effectiveFusionWeights": {      "vector": 0,      "keyword": 0    },    "fusionWeightsSource": "knowledge_base",    "revision": 0,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}